Better validation error message when the domain of email is not allowed
2021-06-24 04:00 - Yuichi HARADA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Accounts / authentication Estimated time: 0.00 hour
Target version: 5.1.0

Resolution: Fixed

Description

When registering an email address with a disallowed email domain with "My account > Email", the error message "Email is invalid" is

displayed.
| don't understand what the error message wants to convey, so fixed the error message.
Related issues:

Related to Redmine - Feature #3369: Allowed/Disallowed email domains settings...

Closed

2009-05-16

Associated revisions

Revision 21739 - 2022-07-27 16:05 - Go MAEDA

Better validation error message when the domain of email is not allowed (#35450).

Patch by Yuichi HARADA.

Revision 21740 - 2022-07-27 16:31 - Go MAEDA

Update locales (#35450).

History

#1 - 2022-07-21 11:25 - Go

MAEDA

- File 37151-v2.patch added

- Subject changed from Fixed an error message when registering an email address for a disallowed email domain to Better validation error message
when the domain of email is not allowed

- Category changed from Code cleanup/refactoring to Accounts / authentication

- Target version set to 5.1.0

+1

One of my customers was also confused by this error message.

Setting the target version to

#2 - 2022-07-22 02:33 - Go

5.1.0.

MAEDA

- File deleted (37151-v2.patch)

#3 - 2022-07-22 02:33 - Go

MAEDA

- File 35450-v2.patch added

#4 - 2022-07-22 06:08 - Go

MAEDA

- Related to Feature #3369: Allowed/Disallowed email domains settings to restrict users' email addresses added

#5 - 2022-07-23 02:53 - Go

MAEDA

- File 35450-v3.patch added

2025-07-07

1/2




| wrote as follows in #3369#note-13 two years ago.

Changed the error message when the domain is not allowed from "Email contains a domain not allowed (example.com)" to simpler "Email is
invalid" because the former detailed error message may give attackers useful hints to avoid restrictions especially on /account/register page

Taking the above into account, | have updated the patch so that the detailed error message is not displayed for anonymous users.

#6 - 2022-07-25 01:54 - Yuichi HARADA
Go MAEDA wrote:

Taking the above into account, | have updated the patch so that the detailed error message is not displayed for anonymous users.

+1

| think the patch is good as | don't have to provide any details to anonymous users.

#7 - 2022-07-27 16:30 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.

#8 - 2023-10-30 13:54 - Go MAEDA
- Tracker changed from Patch to Feature

- Resolution set to Fixed
